Bug 90146 - Keyboard repeat rate changes after suspend
Keyboard repeat rate changes after suspend
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 09:50 EDT by Mitsu Hadeishi
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mitsu Hadeishi 2003-05-03 09:50:13 EDT
Description of problem: 
 
After coming back from suspend, the keyboard repeat rate is extremely slow.  I believe 
this could be a kernel bug, or ACPI bug. 
 
Version-Release number of selected component (if applicable): 
 
This is using the latest updated 2.4.20-9 kernel. 
 
How reproducible: 
 
Always reproducible on an Inspiron 8200 with Radeon card. 
 
Steps to Reproduce: 
1. Enter suspend mode. 
2. Come back from suspend. 
3. 
     
Actual results: 
 
Keyboard repeat rate is extremely slow.  Both initiating the keyboard repeat and the 
actual keyboard repeat rate itself is slow. 
 
Expected results: 
 
Keyboard repeat rate should be as it was before going into suspend: relatively fast. 
 
Additional info:
Comment 1 Arjan van de Ven 2003-05-03 09:55:34 EDT
well since the 2.4.20-9 kernel has no ACPI it's not possible to blame this one
on ACPI :)


you can change this rate with the kbdrate program; I'm not sure how to add this
to /etc/sysconfig/apm-scripts/apmscript properly to have it executed on resume
automatic though;
Comment 2 Mitsu Hadeishi 2003-05-03 10:23:29 EDT
Thanks.  At least I can manually return things to normal using this.  But as you say it 
would be better to add this to something that gets automatically called (or better yet, try 
to fix the problem in the kernel or wherever it is where the keyboard repeat rate is 
changed after coming out of suspend). 
Comment 3 Bugzilla owner 2004-09-30 11:40:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.